# Uses of Class
java.security.cert.CertificateEncodingException

Packages that use CertificateEncodingException
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertificateEncodingException in java.security.cert

Methods in java.security.cert that throw CertificateEncodingException
Modifier and Type
Method
Description
`abstract byte[]`
Certificate.`getEncoded()`
Returns the encoded form of this certificate.
`abstract byte[]`
CertPath.`getEncoded()`
Returns the encoded form of this certification path, using the default encoding.
`abstract byte[]`
CertPath.`getEncoded(String encoding)`
Returns the encoded form of this certification path, using the specified encoding.
`abstract byte[]`
X509Certificate.`getTBSCertificate()`
Gets the DER-encoded certificate information, the `tbsCertificate` from this certificate.